ServantActivatorOperations (Java Platform SE 8 )
Keywords: org.omg.PortableServer.ServantActivatorOperations interface
Date: 2020-03-26

org.omg.PortableServer

## Interface ServantActivatorOperations

- All Superinterfaces:
    ServantManagerOperations
  All Known Subinterfaces:
    ServantActivator
  All Known Implementing Classes:
    _ServantActivatorStub, ServantActivatorPOA

      public interface ServantActivatorOperations
      extends ServantManagerOperations

  When the POA has the RETAIN policy it uses servant managers that are ServantActivators.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `etherealize(byte[] oid, POA adapter, Servant serv, boolean cleanup_in_progress, boolean remaining_activations)` This operation is invoked whenever a servant for an object is deactivated, assuming the POA has the USE_SERVANT_MANAGER and RETAIN policies.
    `Servant` | `incarnate(byte[] oid, POA adapter)` This operation is invoked by the POA whenever the POA receives a request for an object that is not currently active, assuming the POA has the USE_SERVANT_MANAGER and RETAIN policies.

- - ### Method Detail

    - #### incarnate

          Servant incarnate(byte[] oid,
                            POA adapter)
                     throws ForwardRequest

      This operation is invoked by the POA whenever the POA receives a request for an object that is not currently active, assuming the POA has the USE_SERVANT_MANAGER and RETAIN policies.
      Parameters:
        `oid` - object Id associated with the object on the request was made.
        `adapter` - object reference for the POA in which the object is being activated.
      Returns:
        Servant corresponding to oid is created or located by the user supplied servant manager.
      Throws:
        `ForwardRequest` - to indicate to the ORB that it is responsible for delivering the current request and subsequent requests to the object denoted in the forward_reference member of the exception.

    - #### etherealize

          void etherealize(byte[] oid,
                           POA adapter,
                           Servant serv,
                           boolean cleanup_in_progress,
                           boolean remaining_activations)

      This operation is invoked whenever a servant for an object is deactivated, assuming the POA has the USE_SERVANT_MANAGER and RETAIN policies.
      Parameters:
        `oid` - object Id associated with the object being deactivated.
        `adapter` - object reference for the POA in which the object was active.
        `serv` - contains reference to the servant associated with the object being deactivated.
        `cleanup_in_progress` - if TRUE indicates that destroy or deactivate is called with etherealize_objects param of TRUE. FALSE indicates that etherealize was called due to other reasons.
        `remaining_activations` - indicates whether the Servant Manager can destroy a servant. If set to TRUE, the Servant Manager should wait until all invocations in progress have completed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.